1290001Sglebius/*  -*- buffer-read-only: t -*- vi: set ro:
2290001Sglebius *
3290001Sglebius * DO NOT EDIT THIS FILE   (ao-strs.c)
4290001Sglebius *
5290001Sglebius * It has been AutoGen-ed
6290001Sglebius * From the definitions    ao-strs.def
7290001Sglebius * and the template file   strings
8290001Sglebius *
9290001Sglebius *  Copyright (C) 2011-2015 Bruce Korb, all rights reserved.
10290001Sglebius *  This is free software. It is licensed for use, modification and
11290001Sglebius *  redistribution under the terms of the
12290001Sglebius *  Modified (3 clause) Berkeley Software Distribution License
13290001Sglebius *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
14290001Sglebius *
15290001Sglebius *  Redistribution and use in source and binary forms, with or without
16290001Sglebius *  modification, are permitted provided that the following conditions
17290001Sglebius *  are met:
18290001Sglebius *  1. Redistributions of source code must retain the above copyright
19290001Sglebius *     notice, this list of conditions and the following disclaimer.
20290001Sglebius *  2. Redistributions in binary form must reproduce the above copyright
21290001Sglebius *     notice, this list of conditions and the following disclaimer in the
22290001Sglebius *     documentation and/or other materials provided with the distribution.
23290001Sglebius *  3. Neither the name ``Bruce Korb'' nor the name of any other
24290001Sglebius *     contributor may be used to endorse or promote products derived
25290001Sglebius *     from this software without specific prior written permission.
26290001Sglebius *
27290001Sglebius *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
28290001Sglebius *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
29290001Sglebius *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
30290001Sglebius *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
31290001Sglebius *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
32290001Sglebius *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
33290001Sglebius *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
34290001Sglebius *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
35290001Sglebius *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
36290001Sglebius *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
37290001Sglebius *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
38290001Sglebius */
39290001Sglebius#include "ao-strs.h"
40290001Sglebius
41290001Sglebiuschar const ao_strs_strtable[6633] =
42290001Sglebius/*     0 */ "-_^\0"
43290001Sglebius/*     4 */ "  %s%s\n\0"
44290001Sglebius/*    12 */ "auto-options\0"
45290001Sglebius/*    25 */ "program\0"
46290001Sglebius/*    33 */ "%%-%ds %%s\n\0"
47290001Sglebius/*    45 */ "\n"
48290001Sglebius            "%s\n\n\0"
49290001Sglebius/*    51 */ "=file\0"
50290001Sglebius/*    57 */ "=Mbr\0"
51290001Sglebius/*    62 */ "=Cplx\0"
52290001Sglebius/*    68 */ "[=arg]\0"
53290001Sglebius/*    75 */ "--%2$s%1$s\0"
54290001Sglebius/*    86 */ "=Tim\0"
55290001Sglebius/*    91 */ "none\0"
56290001Sglebius/*    96 */ "#  preset/initialization file\n"
57290001Sglebius            "#  %s#\n\0"
58290001Sglebius/*   134 */ " %3s %-14s %s\0"
59290001Sglebius/*   148 */ "%s\0"
60290001Sglebius/*   151 */ "T/F\0"
61290001Sglebius/*   155 */ "\n"
62290001Sglebius            "%s\n\n"
63290001Sglebius            "%s\0"
64290001Sglebius/*   163 */ "Fil\0"
65290001Sglebius/*   167 */ "KWd\0"
66290001Sglebius/*   171 */ "Mbr\0"
67290001Sglebius/*   175 */ "Cpx\0"
68290001Sglebius/*   179 */ "no \0"
69290001Sglebius/*   183 */ "Num\0"
70290001Sglebius/*   187 */ "opt\0"
71290001Sglebius/*   191 */ "YES\0"
72290001Sglebius/*   195 */ "Str\0"
73290001Sglebius/*   199 */ "Tim\0"
74290001Sglebius/*   203 */ "\t\t\t\t- \0"
75290001Sglebius/*   210 */ "\t\t\t\t  \0"
76290001Sglebius/*   217 */ "\t\t\t\t-- and \0"
77290001Sglebius/*   229 */ "\t\t\t\t%s\n\0"
78290001Sglebius/*   237 */ "      \0"
79290001Sglebius/*   244 */ "     \0"
80290001Sglebius/*   250 */ "   \0"
81290001Sglebius/*   254 */ "  \0"
82290001Sglebius/*   257 */ "all\0"
83290001Sglebius/*   261 */ " \t\n"
84290001Sglebius            ":=\0"
85290001Sglebius/*   267 */ "%s_%s_%d=\0"
86290001Sglebius/*   277 */ "''\0"
87290001Sglebius/*   280 */ "        ;;\n\n\0"
88290001Sglebius/*   293 */ "'\n\n\0"
89290001Sglebius/*   297 */ "</%s>\n\0"
90290001Sglebius/*   304 */ "  %s\n\0"
91290001Sglebius/*   310 */ "%%-%ds\0"
92290001Sglebius/*   317 */ "\n"
93290001Sglebius            "export %s_%s_%d\n\0"
94290001Sglebius/*   335 */ "false\0"
95290001Sglebius/*   341 */ "    -* )\n\0"
96290001Sglebius/*   351 */ "flag\0"
97290001Sglebius/*   356 */ "INVALID-%d\0"
98290001Sglebius/*   367 */ "*INVALID*\0"
99290001Sglebius/*   377 */ "\\n\\\n\0"
100290001Sglebius/*   382 */ "    --* )\n\0"
101290001Sglebius/*   393 */ "--\0"
102290001Sglebius/*   396 */ "LONGUSAGE\0"
103290001Sglebius/*   406 */ "            %s\n\0"
104290001Sglebius/*   422 */ "\\%03o\0"
105290001Sglebius/*   428 */ "more\0"
106290001Sglebius/*   433 */ "<%s type=nested>\n\0"
107290001Sglebius/*   451 */ "%s\n\0"
108290001Sglebius/*   455 */ "%s\n"
109290001Sglebius            "  \0"
110290001Sglebius/*   461 */ "OPT_ARG_NEEDED=NO\0"
111290001Sglebius/*   479 */ "<%s/>\n\0"
112290001Sglebius/*   486 */ "OPT_ARG_NEEDED=OK\0"
113290001Sglebius/*   504 */ "\t\0"
114290001Sglebius/*   506 */ "<%s>\0"
115290001Sglebius/*   511 */ "option\0"
116290001Sglebius/*   518 */ "\n"
117290001Sglebius            "export %s_%s\n\0"
118290001Sglebius/*   533 */ "%s_%s=\0"
119290001Sglebius/*   540 */ " | \0"
120290001Sglebius/*   544 */ "PAGER\0"
121290001Sglebius/*   550 */ " + \0"
122290001Sglebius/*   554 */ "  puts(_(%s));\n\0"
123290001Sglebius/*   570 */ "\\'\0"
124290001Sglebius/*   573 */ "'%s'\0"
125290001Sglebius/*   578 */ " -- %s\0"
126290001Sglebius/*   585 */ "%s_%s_TEXT='\0"
127290001Sglebius/*   598 */ "#! %s\n\0"
128290001Sglebius/*   605 */ "\n"
129290001Sglebius            "env | grep '^%s_'\n\0"
130290001Sglebius/*   625 */ "=%1$lu # 0x%1$lX\n\0"
131290001Sglebius/*   643 */ "stdout\0"
132290001Sglebius/*   650 */ "%A %B %e, %Y at %r %Z\0"
133290001Sglebius/*   672 */ "%s/use-%u.XXXXXX\0"
134290001Sglebius/*   689 */ "true\0"
135290001Sglebius/*   694 */ "<%s type=%s>\0"
136290001Sglebius/*   707 */ "VERSION\0"
137290001Sglebius/*   715 */ "#x%02X;\0"
138290001Sglebius/*   723 */ "OPT_ARG_NEEDED=YES\0"
139290001Sglebius/*   742 */ "'\\''\0"
140290001Sglebius/*   747 */ " '%s'\0"
141290001Sglebius/*   753 */ "\n"
142290001Sglebius            "OPTION_CT=0\n\0"
143290001Sglebius/*   767 */ "set --\0"
144290001Sglebius/*   774 */ "            ;;\n\n\0"
145290001Sglebius/*   791 */ "        '%c' )\n\0"
146290001Sglebius/*   807 */ "        '%s' )\n\0"
147290001Sglebius/*   823 */ "        '%s' | \\\n\0"
148290001Sglebius/*   841 */ "TMPDIR\0"
149290001Sglebius/*   848 */ "/tmp\0"
150290001Sglebius/*   853 */ "%1$s %2$s ; rm -f %2$s\0"
151290001Sglebius/*   876 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
152290001Sglebius/*   908 */ "#  From the %s option definitions\n"
153290001Sglebius            "#\n\0"
154290001Sglebius/*   945 */ "echo 'Warning:  Cannot load options files' >&2\0"
155290001Sglebius/*   992 */ "echo 'Warning:  Cannot save options files' >&2\0"
156290001Sglebius/*  1039 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
157290001Sglebius/*  1105 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
158290001Sglebius/*  1140 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
159290001Sglebius/*  1171 */ "%1$s_%2$s_MODE='%3$s'\n"
160290001Sglebius            "export %1$s_%2$s_MODE\n\0"
161290001Sglebius/*  1216 */ "%1$s_%2$s='%3$s'\n"
162290001Sglebius            "export %1$s_%2$s\n\0"
163290001Sglebius/*  1251 */ "%1$s_%2$s_CT=%3$d\n"
164290001Sglebius            "export %1$s_%2$s_CT\n\0"
165290001Sglebius/*  1290 */ "OPTION_CT=%d\n"
166290001Sglebius            "export OPTION_CT\n\0"
167290001Sglebius/*  1321 */ "%1$s_%2$s=%3$s\n"
168290001Sglebius            "export %1$s_%2$s\n\0"
169290001Sglebius/*  1354 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
170290001Sglebius            "export %1$s_%2$s\n\0"
171290001Sglebius/*  1396 */ "        case \"${OPT_CODE}\" in\n\0"
172290001Sglebius/*  1427 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
173290001Sglebius            "                echo 'Error:  more than %3$d %2$s options'\n"
174290001Sglebius            "                echo \"$%1$s_USAGE_TEXT\"\n"
175290001Sglebius            "                exit 1\n"
176290001Sglebius            "            fi >&2\n\0"
177290001Sglebius/*  1618 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
178290001Sglebius            "    echo %1$s_%2$s has not been set\n"
179290001Sglebius            "    exit 1\n"
180290001Sglebius            "} 1>&2\n\0"
181290001Sglebius/*  1710 */ "test -n \"$%1$s_%2$s\" || {\n"
182290001Sglebius            "    echo %1$s_%2$s has not been set\n"
183290001Sglebius            "    exit 1\n"
184290001Sglebius            "} 1>&2\n\0"
185290001Sglebius/*  1791 */ "            echo \"$%s_%s_TEXT\"\n"
186290001Sglebius            "            exit 0\n\0"
187290001Sglebius/*  1842 */ "\n"
188290001Sglebius            "# # # # # # # # # #\n"
189290001Sglebius            "#\n"
190290001Sglebius            "#  END OF AUTOMATED OPTION PROCESSING\n"
191290001Sglebius            "#\n"
192290001Sglebius            "# # # # # # # # # # -- do not modify this marker --\n\0"
193290001Sglebius/*  1958 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
194290001Sglebius            "    then\n"
195290001Sglebius            "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
196290001Sglebius            "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
197290001Sglebius            "    fi\n"
198290001Sglebius            "done\n"
199290001Sglebius            "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
200290001Sglebius            "OPERAND_COUNT=$#\n"
201290001Sglebius            "unset OPT_PROCESS || :\n"
202290001Sglebius            "unset OPT_ELEMENT || :\n"
203290001Sglebius            "unset OPT_ARG     || :\n"
204290001Sglebius            "unset OPT_ARG_NEEDED || :\n"
205290001Sglebius            "unset OPT_NAME    || :\n"
206290001Sglebius            "unset OPT_CODE    || :\n"
207290001Sglebius            "unset OPT_ARG_VAL || :\n\0"
208290001Sglebius/*  2337 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
209290001Sglebius            "        shift\n"
210290001Sglebius            "        OPT_ARG=$1\n"
211290001Sglebius            "        case \"${OPT_CODE}\" in *=* )\n"
212290001Sglebius            "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
213290001Sglebius            "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
214290001Sglebius/*  2588 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
215290001Sglebius            "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
216290001Sglebius/*  2705 */ "\n"
217290001Sglebius            "ARG_COUNT=$#\n"
218290001Sglebius            "OPT_PROCESS=true\n"
219290001Sglebius            "OPT_ARG=$1\n"
220290001Sglebius            "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
221290001Sglebius            "do\n"
222290001Sglebius            "    OPT_ELEMENT=''\n"
223290001Sglebius            "    OPT_ARG_VAL=''\n\n"
224290001Sglebius            "    case \"${OPT_ARG}\" in\n"
225290001Sglebius            "    -- )\n"
226290001Sglebius            "        OPT_PROCESS=false\n"
227290001Sglebius            "        shift\n"
228290001Sglebius            "        ;;\n\0"
229290001Sglebius/*  2912 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
230290001Sglebius            "        NO )\n"
231290001Sglebius            "            OPT_ARG_VAL=''\n"
232290001Sglebius            "            ;;\n"
233290001Sglebius            "        YES )\n"
234290001Sglebius            "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
235290001Sglebius            "            then\n"
236290001Sglebius            "                if [ $# -eq 0 ]\n"
237290001Sglebius            "                then\n"
238290001Sglebius            "                    echo No argument provided for ${OPT_NAME} option\n"
239290001Sglebius            "                    echo \"$%s_USAGE_TEXT\"\n"
240290001Sglebius            "                    exit 1\n"
241290001Sglebius            "                fi >&2\n"
242290001Sglebius            "                OPT_ARG_VAL=${OPT_ARG}\n"
243290001Sglebius            "                shift\n"
244290001Sglebius            "                OPT_ARG=$1\n"
245290001Sglebius            "            fi\n"
246290001Sglebius            "            ;;\n"
247290001Sglebius            "        OK )\n"
248290001Sglebius            "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
249290001Sglebius            "            then\n"
250290001Sglebius            "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
251290001Sglebius            "                    OPT_ARG_VAL=${OPT_ARG}\n"
252290001Sglebius            "                    shift\n"
253290001Sglebius            "                    OPT_ARG=$1 ;; esac\n"
254290001Sglebius            "            fi\n"
255290001Sglebius            "            ;;\n"
256290001Sglebius            "        esac\n\0"
257290001Sglebius/*  3691 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
258290001Sglebius            "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
259290001Sglebius            "            OPT_NAME='%2$s'\n\0"
260290001Sglebius/*  3815 */ "\n"
261290001Sglebius            "if test -z \"${%1$s_%2$s}\"\n"
262290001Sglebius            "then\n"
263290001Sglebius            "  %1$s_%2$s_CT=0\n"
264290001Sglebius            "  export %1$s_%2$s_CT\n"
265290001Sglebius            "else\n"
266290001Sglebius            "  %1$s_%2$s_CT=1\n"
267290001Sglebius            "  %1$s_%2$s_1=${%1$s_%2$s}\n"
268290001Sglebius            "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
269290001Sglebius            "fi\n\0"
270290001Sglebius/*  3973 */ "    * )\n"
271290001Sglebius            "         OPT_PROCESS=false\n"
272290001Sglebius            "         ;;\n"
273290001Sglebius            "    esac\n\0"
274290001Sglebius/*  4030 */ "            %1$s_%2$s_CT=0\n"
275290001Sglebius            "            OPT_ELEMENT=''\n"
276290001Sglebius            "            %1$s_%2$s='%3$s'\n"
277290001Sglebius            "            export %1$s_%2$s\n"
278290001Sglebius            "            OPT_NAME='%2$s'\n\0"
279290001Sglebius/*  4171 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
280290001Sglebius            "                echo 'Error:  duplicate %2$s option'\n"
281290001Sglebius            "                echo \"$%1$s_USAGE_TEXT\"\n"
282290001Sglebius            "                exit 1\n"
283290001Sglebius            "            fi >&2\n"
284290001Sglebius            "            %1$s_%2$s_set=true\n"
285290001Sglebius            "            %1$s_%2$s='%3$s'\n"
286290001Sglebius            "            export %1$s_%2$s\n"
287290001Sglebius            "            OPT_NAME='%2$s'\n\0"
288290001Sglebius/*  4488 */ "\n"
289290001Sglebius            "ARG_COUNT=$#\n"
290290001Sglebius            "OPT_ARG=$1\n"
291290001Sglebius            "while [ $# -gt 0 ]\n"
292290001Sglebius            "do\n"
293290001Sglebius            "    OPT_ELEMENT=''\n"
294290001Sglebius            "    OPT_ARG_VAL=''\n"
295290001Sglebius            "    OPT_ARG=${1}\n\0"
296290001Sglebius/*  4591 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
297290001Sglebius            "        NO )\n"
298290001Sglebius            "            if [ -n \"${OPT_ARG}\" ]\n"
299290001Sglebius            "            then\n"
300290001Sglebius            "                OPT_ARG=-${OPT_ARG}\n"
301290001Sglebius            "            else\n"
302290001Sglebius            "                shift\n"
303290001Sglebius            "                OPT_ARG=$1\n"
304290001Sglebius            "            fi\n"
305290001Sglebius            "            ;;\n"
306290001Sglebius            "        YES )\n"
307290001Sglebius            "            if [ -n \"${OPT_ARG}\" ]\n"
308290001Sglebius            "            then\n"
309290001Sglebius            "                OPT_ARG_VAL=${OPT_ARG}\n"
310290001Sglebius            "            else\n"
311290001Sglebius            "                if [ $# -eq 0 ]\n"
312290001Sglebius            "                then\n"
313290001Sglebius            "                    echo No argument provided for ${OPT_NAME} option\n"
314290001Sglebius            "                    echo \"$%s_USAGE_TEXT\"\n"
315290001Sglebius            "                    exit 1\n"
316290001Sglebius            "                fi >&2\n"
317290001Sglebius            "                shift\n"
318290001Sglebius            "                OPT_ARG_VAL=$1\n"
319290001Sglebius            "            fi\n"
320290001Sglebius            "            shift\n"
321290001Sglebius            "            OPT_ARG=$1\n"
322290001Sglebius            "            ;;\n"
323290001Sglebius            "        OK )\n"
324290001Sglebius            "            if [ -n \"${OPT_ARG}\" ]\n"
325290001Sglebius            "            then\n"
326290001Sglebius            "                OPT_ARG_VAL=${OPT_ARG}\n"
327290001Sglebius            "                shift\n"
328290001Sglebius            "                OPT_ARG=$1\n"
329290001Sglebius            "            else\n"
330290001Sglebius            "                shift\n"
331290001Sglebius            "                if [ $# -gt 0 ]\n"
332290001Sglebius            "                then\n"
333290001Sglebius            "                    case \"$1\" in -* ) ;; * )\n"
334290001Sglebius            "                        OPT_ARG_VAL=$1\n"
335290001Sglebius            "                        shift ;; esac\n"
336290001Sglebius            "                    OPT_ARG=$1\n"
337290001Sglebius            "                fi\n"
338290001Sglebius            "            fi\n"
339290001Sglebius            "            ;;\n"
340290001Sglebius            "        esac\n\0"
341290001Sglebius/*  5745 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
342290001Sglebius            "            exit 0\n\0"
343290001Sglebius/*  5819 */ "%s OF %s\n"
344290001Sglebius            "#\n"
345290001Sglebius            "#  From here to the next `-- do not modify this marker --',\n"
346290001Sglebius            "#  the text has been generated %s\n\0"
347290001Sglebius/*  5925 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
348290001Sglebius            "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
349290001Sglebius/*  6015 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
350290001Sglebius            "                echo 'Error:  duplicate %2$s option'\n"
351290001Sglebius            "                echo \"$%1$s_USAGE_TEXT\"\n"
352290001Sglebius            "                exit 1\n"
353290001Sglebius            "            fi >&2\n"
354290001Sglebius            "            %1$s_%2$s_set=true\n"
355290001Sglebius            "            OPT_NAME='%2$s'\n\0"
356290001Sglebius/*  6274 */ "\n"
357290001Sglebius            "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
358290001Sglebius            "%1$s_%2$s_set=false\n"
359290001Sglebius            "export %1$s_%2$s\n\0"
360290001Sglebius/*  6343 */ "\n"
361290001Sglebius            "%1$s_%2$s=${%1$s_%2$s}\n"
362290001Sglebius            "%1$s_%2$s_set=false\n"
363290001Sglebius            "export %1$s_%2$s\n\0"
364290001Sglebius/*  6405 */ "# # # # # # # # # # -- do not modify this marker --\n"
365290001Sglebius            "#\n"
366290001Sglebius            "#  DO NOT EDIT THIS SECTION\n\0"
367290001Sglebius/*  6488 */ "        * )\n"
368290001Sglebius            "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
369290001Sglebius            "            echo \"$%s_USAGE_TEXT\" >&2\n"
370290001Sglebius            "            exit 1\n"
371290001Sglebius            "            ;;\n"
372290001Sglebius            "        esac\n";
373290001Sglebius
374290001Sglebius/* end of ao-strs.c */
375